classification
Title: make distutils use the tarfile module
Type: behavior Stage: resolved
Components: Distutils Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: tarek Nosy List: tarek
Priority: normal Keywords:

Created on 2009-05-17 12:19 by tarek, last changed 2010-08-09 04:20 by eric.araujo. This issue is now closed.

Messages (2)
msg87994 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-05-17 12:19
Currently Distutils uses the "tar" command to build tarballs. 

It's better to use the tarinfo module, so Distutils does not depend on
the "tar" program anymore.
msg88472 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-05-28 14:28
done in r72981 and r72984
History
Date User Action Args
2010-08-09 04:21:07eric.araujolinkissue1886 superseder
2010-08-09 04:20:05eric.araujosettitle: make distutils use the tarinfo command -> make distutils use the tarfile module
resolution: fixed
stage: resolved
2009-05-28 14:28:38tareksetstatus: open -> closed

messages: + msg88472
2009-05-17 12:19:54tarekcreate